Subject: Re: Gianfar ethernet device

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 12 Nov 2007 12:08:00 +1100

> The real solution is that gianfar support belongs in a device driver,
> not in a common file. That whole fsl_soc.c file is a catch-all of
> things that belong in device drivers. I haven't looked at every line
> in it, but 90%+ of the code should be moved into device drivers.
> 
> I'm preparing a patch that moves the i2c driver out of fsl_soc.c and
> into i2c_mpc.c.

The problem is how do you instanciate it. I'm working on some solution
for that but it's not there yet.

Ben.